//package com.zsc.edu.dify.framework.response;
//
//import lombok.*;
//
///**
// * 返回响应，统一封装实体
// *
// * @param <T> 数据实体泛型
// * @author zhuang
// */
//@Getter
//@ToString
//@EqualsAndHashCode
//@AllArgsConstructor(access = AccessLevel.PRIVATE)
//public class Result<T> {
//
//    private String userMessage;
//
//    /**
//     * 错误码<br>
//     * 调用成功时，为 null。<br>
//     * 示例：A0211
//     */
//    private String errorCode;
//
//    /**
//     * 错误信息<br>
//     * 调用成功时，为 null。<br>
//     * 示例："用户输入密码错误次数超限"
//     */
//    private String errorMessage;
//
//    /**
//     * 数据实体（泛型）<br>
//     * 当接口没有返回数据时，为 null。
//     */
//    private T data;
//
//
//    public static <T> Result<T> success(T data) {
//        return new Result<>("操作成功！", null, null, data);
//    }
//
//
//    public static <T> Result<T> fail(String userMessage, String errorCode, String errorMessage) {
//        return new Result<>(userMessage, errorCode, errorMessage, null);
//    }
//
//}
//
//
