package com.zsc.edu.dify.modules.message.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import jakarta.validation.constraints.NotBlank;

import java.util.List;

/**
 * @author harry_yao
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class BulletinDto {

    /**
     * 标题
     */
    @NotBlank(message = "接收用户不能为空")
    public String title;

    /**
     * 是否置顶
     */
    public Boolean top;

    /**
     * 内容
     */
    @NotBlank(message = "消息内容不能为空")
    public String content;
    /**
     * 备注
     */
    public String remark;

    /**
     * 附件ID集合
     */
    private List<String> attachmentIds;
}
