package com.zsc.edu.dify.modules.operationLog.entity;

import java.lang.annotation.*;

/**
 * @author zhuang
 */
@Target({ElementType.PARAMETER, ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface OperationLogAnnotation {
    /**
     * 日志内容，支持SpEL表达式
     */
    String content() default "";

    /**
     * 操作类型，例如：SAVE, UPDATE, DELETE
     */
    String operationType() default "";
}
