package com.zsc.edu.dify.modules.system.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

/**
 * 操作权限
 *
 * @author harry yao
 */
@Getter
@Setter
@EqualsAndHashCode(callSuper = false)
@TableName("sys_authority")
public class Authority extends BaseEntity {
    /**
     * 权限名
     */
    public String name;
    /**
     * 启用状态
     */
    private Boolean enabled = true;
    /**
     * 部门ID(权限)
     */
    public Long deptId;



}
