package com.zsc.edu.dify.modules.system.vo;

import com.zsc.edu.dify.modules.system.entity.Menu;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Set;
/**
 * @author zhuang
 */
@Data
public class RoleVo {

    /**
     * 自增主键
     */
    public Long id;

    /**
     * 名称，唯一
     */
    public String name;

    /**
     * 启用状态
     */
    private Boolean enabled = true;

    /**
     * 部门ID(权限)
     */
    public Long deptId;


    /**
     * 备注说明
     */
    public String roleRemark;

    /**
     * 创建时间
     */
    public LocalDateTime createTime;
    /*
     * 创建人
     *
     */
    public String createBy;

    /**
     * 更新时间
     */
    public LocalDateTime updateTime;
    /*
     * 更新人
     *
     * */
    public String updateBy;


    /**
     * 权限集合
     */
    public Set<Menu> menus;
}
