package com.zsc.edu.dify.modules.message.vo;

import com.zsc.edu.dify.modules.message.entity.NoticeType;
import lombok.Data;

/**
 * @author zhuang
 */
@Data
public class AdminNoticeVo {
    /**
     * 用户消息id
     */
    private Long id;
    /**
     * 接收用户数
     */
    private Long userCount;
    /**
     * 已读用户数
     */
    private Long readCount;
    /**
     * 消息类型
     */
    public NoticeType type = NoticeType.MESSAGE;
    /**
     * 是否系统消息
     */
    public Boolean system;
    /**
     * 是否邮件
     */
    public Boolean email;
    /**
     * 是否短信
     */
    public Boolean sms;
    /**
     * 是否html
     */
    public Boolean html;
    /**
     * 标题
     */
    public String title;
    /**
     * 内容
     */
    public String content;
    /**
     * 备注
     */
    private String remark;
}