package com.zsc.edu.dify.modules.operationLog.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.time.LocalDateTime;

/**
 * @author zhuang
 */
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
@TableName("operation_log")
public class OperationLog {
    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 模块类型
     */
    private ModuleTypeEnum moduleType;

    /**
     * 操作类型
     */
    private FunctionTypeEnum functionType;

    /**
     * 操作内容
     */
    private String content;

    /**
     * 操作时间
     */
    private LocalDateTime makeTime;
}
