package com.zsc.edu.dify.modules.system.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 部门
 *
 * @author Yao
 */
@Getter
@Setter
@TableName("sys_dept")
public class Dept extends BaseEntity {
    /**
     * 上级部门
     */
    private Long pid;

    /**
     * 子部门数目
     */
    private Integer subCount = 0;

    /**
     * 名称
     */
    private String name;

    /**
     * 排序
     */
    private Integer deptSort = 1;

    /**
     * 状态
     */
    private Boolean enabled = true;

    @TableField(exist = false)
    public List<Dept> children = null;

}
