package com.zsc.edu.dify.modules.system.repo;

import com.zsc.edu.dify.modules.system.entity.Role;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zsc.edu.dify.modules.system.vo.RoleVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 角色表 Mapper 接口
 * </p>
 *
 * @author Yao
 * @since 2023-04-06
 */
public interface RoleRepository extends BaseMapper<Role> {

    RoleVo selectRoleById(@Param("roleId") Long roleId);

    Long getRoleIdByName(@Param("roleName") String roleName);
}
